# GPU B+Tree

This is an implementation of B+Tree and B-Link-Tree data structures for TNL capable of executing on NVIDIA GPU.

## Folder structure

- `implementation` - Contains the implementation of B+Tree and B-Link-Tree, each in their separate folders.
- `benchmark` - Comparison against state-of-art GPU and other CPU implementations.
- `debugger` - Web App used for debugging and visualizing B-Tree operations

## Third-party implementations for benchmark

Source code of existing implementations are not included in this thesis by default and must be fetched separately.

```bash
git submodule update --init 
```