#pragma once
#include <cstddef>

template <typename Object, typename Device> struct BNodeLatch {};

template <template <typename KeyType, typename ValueType, size_t Order> class BNode,
          typename KeyType, typename ValueType, size_t Order, typename Device>
struct BNodeLatch<BNode<KeyType, ValueType, Order>, Device> {};

#include "./BNodeLatchHost.hpp"
#ifdef HAVE_CUDA
#include "./BNodeLatchCuda.cu"
#endif